Skip to main content

Check customer name

POST{{server}}/api/v1/dispenser/checkCustomerName

This endpoint checks that the given customer name is valid. It checks it in the banned words list of language and collision with other live ticket customer names.

Request​

Authorization​

HeaderValue
AuthorizationApikey {{dispenserApikey}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}

Body (json)​

{
"customerName": "John",
"language": "00000000-0000-4000-0004-000000000017"
}

Code snippets​

curl -X POST '{{server}}/api/v1/dispenser/checkCustomerName' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}' \
-H 'Content-Type: application/json' \
-d '{
"customerName": "John",
"language": "00000000-0000-4000-0004-000000000017"
}'

Example​

Example request
POST{{server}}/api/v1/dispenser/checkCustomerName
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}
Body
{
"customerName": "John",
"language": "00000000-0000-4000-0004-000000000017"
}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length16
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"success": true
}